data "aws_eks_cluster_auth" "auth" {
  name = module.k8s.cluster_name
}

data "aws_eks_cluster" "cluster" {
  name = module.k8s.cluster_name
}

# configure our provider
provider "kubernetes" {
  cluster_ca_certificate = base64decode(data.aws_eks_cluster.cluster.certificate_authority[0].data)
  host                   = data.aws_eks_cluster.cluster.endpoint
  token                  = data.aws_eks_cluster_auth.auth.token
}